Subject: Re: bug#59897: 29.0.60; csharp-ts-mode: variable-name fontified as method when invoking method with generic type-argument.

From: Theodor Thornhill <[email-masked]>
Date: Fri, 09 Dec 2022 22:11:41 +0100

Hi!

>>
>> In that regard, I miss our old test-suite from github's csharp-mode.
>> It was a nice safety-net when making changes like this.
>
> A test suite is most welcome. I think we can even come up with a general
> framework for testing fontification, indent, defun movement, imenu, etc.
> To generate a test you would just need to open a file, verify everything
> is expected, and run a command which records the current fontification
> and indentation, etc, to a file. Then a test suite will just use that
> file. I wonder if csharp-mode had something like this?
>

Yeah we had some trickery to check the font-locking and indentation, but
it relies on external packages IIRC.